<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>aa.Deadly.find.equipdocks</name>
<version>0</version>
<engineversion>25</engineversion>
<description>Description</description>
<arguments>
<argument index="1" name="x" type="Var/Number" desc="x" />
<argument index="2" name="y" type="Var/Number" desc="y" />
<argument index="3" name="stntype" type="Var/Class" desc="Station Type" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><text>infinite&#160;loop&#160;detection&#160;enabled=</text><var>[TRUE]</var></line>
<line linenr="002" indent=""><var>$sec&#160;=&#160;</var><text>get&#160;sector&#160;from&#160;universe&#160;index:&#160;x=</text><var>$x</var><text>,&#160;y=</text><var>$y</var></line>
<line linenr="003" indent=""><var>$stns&#160;=&#160;</var><text>&#160;find&#160;station:&#160;sector=</text><var>$sec</var><text>&#160;class&#160;or&#160;type=</text><var>$stntype</var><text>&#160;race=</text><var>null</var><text>&#160;flags=</text><var>[Find.Multiple]</var><text>&#160;refobj=</text><var>null</var><text>&#160;maxdist=</text><var>null</var><text>&#160;maxnum=</text><var>5</var><text>&#160;refpos=</text><var>null</var></line>
<line linenr="004" indent=""><var>$count&#160;=&#160;</var><var>0</var></line>
<line linenr="005" indent=""><var>$equipdock.size&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$stns</var></line>
<line linenr="006" indent=""><var>while&#160;</var><var>$count</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>$equipdock.size</var></line>
<line linenr="007" indent="&#160;"><var>$stn&#160;=&#160;</var><var>$stns</var><text>[</text><var>$count</var><text>]</text></line>
<line linenr="008" indent="&#160;"><var>$stn&#160;-&gt;</var><text>&#160;remove&#160;product&#160;from&#160;factory&#160;or&#160;dock:&#160;</text><var>ReadText17-5803</var></line>
<line linenr="009" indent="&#160;"><var>$stn&#160;-&gt;</var><text>&#160;remove&#160;product&#160;from&#160;factory&#160;or&#160;dock:&#160;</text><var>ReadText17-5823</var></line>
<line linenr="010" indent="&#160;"><var>$stn&#160;-&gt;</var><text>&#160;remove&#160;product&#160;from&#160;factory&#160;or&#160;dock:&#160;</text><var>ReadText17-5833</var></line>
<line linenr="011" indent="&#160;"><var>$stn&#160;-&gt;</var><text>&#160;remove&#160;product&#160;from&#160;factory&#160;or&#160;dock:&#160;</text><var>ReadText17-5843</var></line>
<line linenr="012" indent="&#160;"><var>$stn&#160;-&gt;</var><text>&#160;remove&#160;product&#160;from&#160;factory&#160;or&#160;dock:&#160;</text><var>ReadText17-5863</var></line>
<line linenr="013" indent="&#160;"><var>$stn&#160;-&gt;</var><text>&#160;remove&#160;product&#160;from&#160;factory&#160;or&#160;dock:&#160;</text><var>ReadText17-5883</var></line>
<line linenr="014" indent="&#160;"><var>$stn&#160;-&gt;</var><text>&#160;remove&#160;product&#160;from&#160;factory&#160;or&#160;dock:&#160;</text><var>ReadText17-5923</var></line>
<line linenr="015" indent="&#160;"><var>$stn&#160;-&gt;</var><text>&#160;remove&#160;product&#160;from&#160;factory&#160;or&#160;dock:&#160;</text><var>ReadText17-7000903</var></line>
<line linenr="016" indent="&#160;"><var>$count&#160;=&#160;</var><var>$count</var><text>&#160;</text><var>+</var><text>&#160;</text><var>1</var></line>
<line linenr="017" indent=""><text>end</text></line>
<line linenr="018" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="aa.Deadly.find.equipdocks" /><sval type="int" val="25" /><sval type="string" val="Description" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="array" size="8"><sval type="string" val="x" /><sval type="string" val="y" /><sval type="string" val="stntype" /><sval type="string" val="sec" /><sval type="string" val="stns" /><sval type="string" val="count" /><sval type="string" val="equipdock.size" /><sval type="string" val="stn" /></sval><sval type="array" size="18"><sval type="array" size="3"><sval type="int" val="153" /><sval type="int" val="131075" /><sval type="int" val="10" /></sval><sval type="array" size="6"><sval type="int" val="800" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="18"><sval type="int" val="794" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="111" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="5" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610608375" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="5"><sval type="int" val="781" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="9" /><sval type="int" val="1048640" /></sval><sval type="array" size="5"><sval type="int" val="781" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="9" /><sval type="int" val="1048642" /></sval><sval type="array" size="5"><sval type="int" val="781" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="9" /><sval type="int" val="1048643" /></sval><sval type="array" size="5"><sval type="int" val="781" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="9" /><sval type="int" val="1048644" /></sval><sval type="array" size="5"><sval type="int" val="781" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="9" /><sval type="int" val="1048646" /></sval><sval type="array" size="5"><sval type="int" val="781" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="9" /><sval type="int" val="1048648" /></sval><sval type="array" size="5"><sval type="int" val="781" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="9" /><sval type="int" val="1048652" /></sval><sval type="array" size="5"><sval type="int" val="781" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="9" /><sval type="int" val="1048613" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="5" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="5" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="3"><sval type="array" size="2"><sval type="int" val="10" /><sval type="string" val="x" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="string" val="y" /></sval><sval type="array" size="2"><sval type="int" val="23" /><sval type="string" val="Station Type" /></sval></sval><sval type="array" size="1"><sval type="array" size="2"><sval type="int" val="17" /><sval type="int" val="4" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
